<?php require_once('Connections/conn.php'); ?>
<?php
session_start();
// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("pregrado_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="gestionar_plan1.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="7" and $tipo_usuario!="16") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="gestionar_plan1.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  



   		mysql_select_db($database_conn, $conn);
		mysql_query ("SET NAMES 'utf8'");
		$query_rstCarreras = "SELECT id_carrera, nombre_carrera FROM carreras where status='ACTIVA' ORDER BY nombre_carrera";
		$rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
		$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
		$totalRows_rstCarreras = mysql_num_rows($rstCarreras);
		
		$sql_menciones = "SELECT id_carrera, nombre_carrera FROM carreras where status='ACTIVA' ORDER BY nombre_carrera";
		$rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
		$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
		$totalRows_rstCarreras = mysql_num_rows($rstCarreras);
		
		
		$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes  ORDER BY sedes.nombre_sede";
		$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
		$row_rstSede = mysql_fetch_assoc($rstSede);
		$totalRows_rstSede = mysql_num_rows($rstSede);
		
		
		$query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo FROM periodos WHERE status='ABIERTO' ORDER BY periodos.id_periodo desc";
		$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
		$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
		$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);
		
		$query_rstTurnos = "SELECT codigo,turno FROM turnos";
        $rstTurnos = mysql_query($query_rstTurnos, $conn) or die(mysql_error());
        $row_rstTurnos = mysql_fetch_assoc($rstTurnos);
        $totalRows_rstTurnos = mysql_num_rows($rstTurnos);
		
		$query_docentes = "SELECT distinct docentes.cedula,docentes.apellidos,docentes.nombres FROM docentes,oferta_academica where docentes.id_docente=oferta_academica.id_profesor order by apellidos,nombres";
        $rst_docentes = mysql_query($query_docentes, $conn) or die(mysql_error());
        $row_docentes = mysql_fetch_assoc($rst_docentes);
        $total_rows_docentes = mysql_num_rows($rst_docentes);


  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- oferta académica</title>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=utf-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<script src="jquery.min.js" type="text/javascript"></script>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=utf-8">
<script>
$(document).ready(function(){
	$("#id_carrera").change(function(){
		$.post("carga_mencion.php",{ id:$(this).val() },function(data){$("#mencion").html(data);})
	});
})
</script>

<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2>Planes de Evaluaci&oacute;n </h2></td></tr>
<td class="hr">Todos los datos son obligatorios </td>
</table>
<form name="form1" method="post" action="">
  <table width="99%" border="0" align="center" id="carga" cellpadding="1" cellspacing="10" style="border:1px solid #ccc;">
    <tr>
      <td><div align="right">Docente:</div></td>
      <td><select name="cedula_docente" id="cedula_docente" style="width:350px">
	  <option value="0">Seleccione...</option>
        <?php
do {  
?>
        <option value="<?php echo $row_docentes['cedula']?>"><?php echo $row_docentes['apellidos'].', '.$row_docentes['nombres']?></option>
        <?php
} while ($row_docentes = mysql_fetch_assoc($rst_docentes));
  $rows = mysql_num_rows($rst_docentes);
  if($rows > 0) {
      mysql_data_seek($rst_docentes, 0);
	  $row_docentes = mysql_fetch_assoc($rst_docentes);
  }
?>
      </select> </td>
    </tr>
    <tr>
      <td width="82"><div align="right">Programa:</div></td>
      <td width="592"><select name="id_carrera" id="id_carrera" style="width:350px">
	  <option value="0">Seleccione...</option>
        <?php
do {  
?>
        <option value="<?php echo $row_rstCarreras['id_carrera']?>"><?php echo $row_rstCarreras['nombre_carrera']?>---><?php echo $row_rstCarreras['id_carrera']?></option>
        <?php
} while ($row_rstCarreras = mysql_fetch_assoc($rstCarreras));
  $rows = mysql_num_rows($rstCarreras);
  if($rows > 0) {
      mysql_data_seek($rstCarreras, 0);
	  $row_rstCarreras = mysql_fetch_assoc($rstCarreras);
  }
?>
      </select> 
      &nbsp;&nbsp;&nbsp;Pensum: &nbsp;&nbsp;       
        <select name="pensum">
          <option value="6">6</option>
        </select></td>
    </tr>
    <tr>
      <td><div align="right">Sede:</div></td>
      <td><label>
        <select name="sede" id="sede">
          <option value="0">Seleccione...</option>
          <?php
do {  
?>
          <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['nombre_sede']?></option>
          <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?>
        </select>
        </label>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Per&iacute;odo:&nbsp;&nbsp;&nbsp;
        <label>
          <select name="id_periodo" id="id_periodo">
            <option value="0">Seleccione...</option>
            <?php
do {  
?>
            <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo']?></option>
            <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
          </select>
        </label></td>
    </tr>
    
	
    <tr>
      <td colspan="2"><div align="center">
        <input name="Enviar" type="button" id="Enviar" value="Gestionar" onClick="gestionar()" >
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	</script>
	
	<script type="text/javascript">
	function gestionar()
	{
	 	
	window.document.location="plan_evaluacion1.php?id_periodo="+document.form1.id_periodo.value+"&sede="+document.form1.sede.value+"&id_carrera="+document.form1.id_carrera.value+"&cedula_docente="+document.form1.cedula_docente.value+"&pensum="+document.form1.pensum.value+"&a=reset";
	}
</script>
 <?php
mysql_free_result($rstSede);
mysql_free_result($rstPeriodos);
mysql_free_result($rstTurnos);
mysql_free_result($rstCarreras);

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
?>

